import React, { useRef, useState, useEffect } from "react";
import TextField from '@mui/material/TextField';
import MenuItem from '@mui/material/MenuItem';
import 'react-confirm-alert/src/react-confirm-alert.css'; // Import css
import Button from '@mui/material/Button';
import axios from "axios";
import { getCookie, setCookie } from 'react-use-cookie';
import { useHistory } from "react-router-dom";
import CheckOut from "./CheckOut";
import { DataGrid, GridToolbar, frFR } from '@mui/x-data-grid';
import "react-draft-wysiwyg/dist/react-draft-wysiwyg.css";
import { Editor } from '@tinymce/tinymce-react';
import parse from 'html-react-parser';
import { FcViewDetails, FcDisapprove } from "react-icons/fc";
import 'react-tooltip/dist/react-tooltip.css'
import { Tooltip } from 'react-tooltip'
import add_plus from "../mysy_img/plus.png";
import excel_icone from "../mysy_img/excel_icone.png";
import participants from "../mysy_img/participants.png";
import fileDownload from 'js-file-download'
import Popup from 'reactjs-popup';
import 'reactjs-popup/dist/index.css';
import { FcCancel, FcApproval, FcAcceptDatabase, FcPrint } from "react-icons/fc";
import DatePicker from "react-datepicker";
import "react-datepicker/dist/react-datepicker.css";
import { format } from 'date-fns'
import moment from "moment";
import InputAdornment from '@mui/material/InputAdornment';
import { AiFillCloseCircle } from "react-icons/ai";
import Box from '@mui/material/Box';
import { Typography, LinearProgress } from '@mui/material';
import styled from 'styled-components';
import { CiTrash } from "react-icons/ci";
import { MdAddCircleOutline, MdRemoveCircleOutline } from "react-icons/md";
import Dialog from '@mui/material/Dialog';
import DialogActions from '@mui/material/DialogActions';
import DialogContent from '@mui/material/DialogContent';
import DialogContentText from '@mui/material/DialogContentText';
import DialogTitle from '@mui/material/DialogTitle';
import { TransitionProps } from '@mui/material/transitions';

const Materiels = (props) => {
    const history = useHistory();
    const [submenu, setsubmenu] = useState("");
    const [rowss, setRows] = useState([]);
    const [selectionModel, setSelectionModel] = React.useState([]);

    const [rows_affectations, setrows_affectations] = useState([]);
    const [selectionModel_affectations, setSelectionModel_affectations] = React.useState([]);


    const [p_filtre1, setp_filtre1] = useState();
    const [p_filtre1_value, setp_filtre1_value] = useState();

    const [p_filtre2, setp_filtre2] = useState();
    const [p_filtre2_value, setp_filtre2_value] = useState();

    const [p_filtre3, setp_filtre3] = useState();
    const [p_filtre3_value, setp_filtre3_value] = useState();

    const [p_filtre4, setp_filtre4] = useState();
    const [p_filtre4_value, setp_filtre4_value] = useState();

    const columns = [
        { field: '_id', headerName: '_id', hide: true },
        { field: 'id', headerName: 'id', hide: true },
        { field: 'ref_interne', headerName: 'Ref. Interne', width: 150, hideable: false, },
        { field: 'nom', headerName: 'Nom', width: 150, hide: false, editable: true },
        { field: 'famille', headerName: 'Famille', width: 150, hide: false, editable: true },
        { field: 'marque', headerName: 'Marque', width: 150, hide: false, editable: true },
        { field: 'type', headerName: 'Type', width: 150, hide: false, editable: true },
        { field: 'fournisseur', headerName: 'Fournisseur', width: 150, hide: false, editable: true },
        {
            field: "delete", headerName: 'Supprimer',
            renderCell: (cellValues) => {
                return (

                    <Popup
                        trigger={<Button

                            onClick={(event) => {
                                // handleClick_delete(event, cellValues);
                            }}
                        >
                            <CiTrash />

                        </Button>}
                        modal
                        nested
                        position="center center"
                    >
                        {close => (
                            <div>
                                <button className="gest_close" onClick={close}>
                                    &times;
                                </button>
                                <div className="gest_header"> MySy Information </div>
                                <div className="gest_content">
                                    {' '}

                                    En confirmant cette opération, l'employé sera <i><font color="red"> définitivement supprimé</font></i>. <br />

                                </div>
                                <div className="gest_actions">
                                    <div style={{ "width": "45%", "float": "left" }}>
                                        <button className="gest_bton_popup" onClick={(event) => {
                                            //handleClick_delete(event, cellValues);
                                            //console.log('modal closed ');
                                            close();
                                        }}> Valider </button>

                                    </div>
                                    <div style={{ "width": "45%", "float": "right" }}>
                                        <button
                                            className="gest_bton_popup"
                                            onClick={() => {
                                                //console.log('modal closed ');
                                                close();
                                            }}
                                        >
                                            Annuler
                                        </button>
                                    </div>
                                </div>
                            </div>
                        )}
                    </Popup>


                );
            }
        }

    ]



    const myRef_head = useRef(null);

    const [Dialog_1_message, setDialog_1_message] = React.useState(false);
    const [Dialog_1_open, setDialog_1_open] = React.useState(false);
    function Dialog_1_handle_change_participant_session(message) {
        setDialog_1_message(message);
        setDialog_1_open(true);
    }

    const Dialog_1_handleClose = () => {
        //alert(" Utiliser le bouton 'fermer' ");
        //setOpen(false);
    };

    const Dialog_1_handleClose_buton = () => {
        setDialog_1_open(false);
    };


    useEffect(() => {
        Getall_Training_Materiel_No_Filter();

        Get_Materiel_Related_Target_Collection_Data();
    }, [])

    const myRef = useRef(null)

    const [session_file_name, setsession_file_name] = useState();
    const [display_affectation, setdisplay_affectation] = useState();

    const [Add_new_affectation, setAdd_new_affectation] = useState();
    const [display_detail_materiel, setdisplay_detail_materiel] = React.useState();

    const hiddenFileInput_session = React.useRef(null);
    const [materiel_data_changed, setmateriel_data_changed] = useState();

    const [add_One_Materiel, setadd_One_Materiel] = useState();

    function submenu_add_one_materiel() {
        setdisplay_detail_materiel();
        setadd_One_Materiel("1");
        setsubmenu("detail_materiel");
    }

    function Annule_add_one_materiel() {
        setdisplay_detail_materiel();
        setadd_One_Materiel();
        setsubmenu("");
        setSelectionModel([]);
    }

    function clean_affectation_fields() {

    }

    function clean_nouvelle_affectation_fields() {
    }


    const [Getall_Training_Materiel_api, setGetall_Training_Materiel_api] = useState();
    const [Getall_Training_Materiel_message, setGetall_Training_Materiel_message] = useState();
    const [Getall_Training_Materiel_result, setGetall_Training_Materiel_result] = useState();
    function Getall_Training_Materiel(event) {

        var form = new FormData();


        // Recuperation des parametres
        var filtre1 = p_filtre1;
        var filtre2 = p_filtre2;
        var filtre3 = p_filtre3;
        var filtre4 = p_filtre4;

        var filtre1_value = "";
        var filtre2_value = "";
        var filtre3_value = "";
        var filtre4_value = "";
        // Recuperation des valeurs de filtres

        if (p_filtre1_value) {
            filtre1_value = p_filtre1_value;
            form.append(filtre1, filtre1_value);
        }

        if (p_filtre2_value) {
            filtre2_value = p_filtre2_value;
            form.append(filtre2, filtre2_value);
        }

        if (p_filtre3_value) {
            filtre3_value = p_filtre3_value;
            form.append(filtre3, p_filtre3_value);
        }

        if (p_filtre4_value) {
            filtre4_value = p_filtre4_value;
            form.append(filtre4, p_filtre4_value);
        }


        const stored_cookie = getCookie('tokenmysypart');
        form.append("token", stored_cookie);

        var myurl = process.env.REACT_APP_API_URL + "myclass/api/Get_List_Ressource_Materielle_no_filter/";


        setdisplay_affectation("");
        setAdd_new_affectation("");
        clean_affectation_fields();
        clean_nouvelle_affectation_fields();
        setSelectionModel_affectations([]);
        setSelectionModel([]);
        setsubmenu("");
        setSelectionModel([]);

        axios.post(myurl, form).then(res => {

            if (String(res.data.status) === String("true")) {
                //console.log(" In Getall_Training_Materiel  res.data.status = " + res.data.status);
                //console.log(" In Getall_Training_Materiel  res.data.message r_class = " + res.data.message);
                setGetall_Training_Materiel_api("true");
                setGetall_Training_Materiel_result(res.data.message);
                setRows(res.data.message);
            }
            else {
                setGetall_Training_Materiel_api("false");
                setGetall_Training_Materiel_message(res.data.message);
            }

        }).catch((error) => {
            console.warn('Not good man :( Getall_Training_Materiel = ', error);
            setGetall_Training_Materiel_api("false");
            //setmyApimyApiMessage("")
        })
    }


    const [liste_sessions_file_change_api, setliste_sessions_file_change_api] = useState();
    const [liste_sessions_file_change_result, setliste_sessions_file_change_result] = useState();
    const [liste_sessions_file_change_message, setliste_sessions_file_change_message] = useState();
    const liste_sessions_file_change = event => {


        const fileUploaded = event.target.files[0];
        let file_size = event.target.files[0].size;
        let file_type = event.target.files[0].type;

        //console.log("file_size =  ",file_size," file_type = ",file_type);
        if (file_size > 1000000) {
            alert("Le fichier ne doit pas depasser un 1 Méga octets");
            return;
        }

        setsession_file_name(event.target.files[0].name);

        const formData = new FormData();
        formData.append('File', fileUploaded);
        //formData.append('token', 'K3cw63eKokKSbV4spjQ48SUNnfy80yrXfA');
        const stored_cookie = getCookie('tokenmysypart');

        formData.append("token", stored_cookie);
        //console.log("token = " + stored_cookie);

        fetch(
            process.env.REACT_APP_API_URL + "myclass/api/Add_Ressource_Humaine_mass/",
            {
                method: 'POST',
                body: formData,
            }
        )
            .then((response) => response.json())
            .then((result) => {

                //console.log(" ## result['status'] = ", result['status'])
                if (String(result['status']) === String("Err_Connexion")) {
                    alert('Erreur: ' + result['message']);
                    history.push("/Connexion");
                }

                else if (String(result['status']) === String("true")) {
                    //console.log('Success:', result['message']);
                    setliste_sessions_file_change_result(result['message']);
                    setliste_sessions_file_change_api("true");

                    Getall_Training_Materiel();
                    alert(" Le materiel ont été correctement importé");

                }

                else {
                    setliste_sessions_file_change_message(result['message']);
                    setliste_sessions_file_change_api("false");
                    alert('Erreur: ' + result['message']);

                }


            })
            .catch((error) => {
                console.error('Error:', error);
                setliste_sessions_file_change_api("false");
                alert(" Impossible d'importer le materiel ");
            });
    }



    function submenu_import_materiel() {
        setsession_file_name();
        setliste_sessions_file_change_api();
        hiddenFileInput_session.current.click();
    }

    const [Add_One_Materiel_Data_api, setAdd_One_Materiel_Data_api] = useState();
    const [Add_One_Materiel_Data_message, setAdd_One_Materiel_Data_message] = useState();
    const [Add_One_Materiel_Data_result, setAdd_One_Materiel_Data_result] = useState();
    function Add_One_Materiel_Data() {
        var form = new FormData();


        if (p_one_detail_ref_interne.trim() == "") {
            alert(" Vous devez saisir la référence interne du materiel");
            return;
        }


        if (p_one_detail_nom.trim() == "") {
            alert(" Vous devez saisir le nom du materiel");
            return;
        }


        const stored_cookie = getCookie('tokenmysypart');
        form.append("token", stored_cookie);
        form.append("ref_interne", p_one_detail_ref_interne);
        form.append("nom", p_one_detail_nom);



        if (p_one_detail_description)
            form.append("description", p_one_detail_description);
        else
            form.append("description", "");


        if (p_one_detail_detail)
            form.append("detail", p_one_detail_detail);
        else
            form.append("detail", "");

        if (p_one_detail_famille)
            form.append("famille", p_one_detail_famille);
        else
            form.append("famille", "");


        if (p_one_detail_marque)
            form.append("marque", p_one_detail_marque);
        else
            form.append("marque", "");

        if (p_one_detail_type)
            form.append("type", p_one_detail_type);
        else
            form.append("type", "");

        if (p_one_detail_prix_achat)
            form.append("prix_achat", p_one_detail_prix_achat);
        else
            form.append("prix_achat", "");

        if (p_one_detail_fournisseur)
            form.append("fournisseur", p_one_detail_fournisseur);
        else
            form.append("fournisseur", "");

        if (p_one_detail_qty_stock)
            form.append("qty_stock", p_one_detail_qty_stock);
        else
            form.append("qty_stock", "");


        console.log(" form == ", form);

        var myurl = process.env.REACT_APP_API_URL + "myclass/api/Add_Ressource_Materielle/";

        axios.post(myurl, form).then(res => {
            console.log(" In Add_One_Materiel_Data  res.data.status = " + res.data.status);
            console.log(" In Add_One_Materiel_Data  res.data.message r_class = " + res.data.message);

            if (String(res.data.status) === String("true")) {
                setAdd_One_Materiel_Data_api("true");
                setAdd_One_Materiel_Data_result(res.data.message);

                Getall_Training_Materiel();


                setmateriel_data_changed("");
                setmateriel_data_edit_mode("");

                alert(res.data.message);

                if (myRef_head)
                    myRef_head.current.scrollIntoView({ behavior: "smooth" });

            }
            else {
                setAdd_One_Materiel_Data_api("false");
                setAdd_One_Materiel_Data_message(res.data.message);
                alert(res.data.message);
            }

        }).catch((error) => {

            console.warn('UpdateStagiaireData : Not good man :( Add_One_Materiel_Data = ' + error);
            setAdd_One_Materiel_Data_api("false");
            alert(" Impossible d'ajouter le materiel");

        })
    }


    const [Getall_Training_Materiel_No_Filter_api, setGetall_Training_Materiel_No_Filter_api] = useState();
    const [Getall_Training_Materiel_No_Filter_message, setGetall_Training_Materiel_No_Filter_message] = useState();
    const [Getall_Training_Materiel_No_Filter_result, setGetall_Training_Materiel_No_Filter_result] = useState();
    function Getall_Training_Materiel_No_Filter(event) {

        var form = new FormData();


        const stored_cookie = getCookie('tokenmysypart');
        form.append("token", stored_cookie);

        var myurl = process.env.REACT_APP_API_URL + "myclass/api/Get_List_Ressource_Materielle_no_filter/";



        axios.post(myurl, form).then(res => {

            if (String(res.data.status) === String("true")) {
                console.log(" In Getall_Training_Materiel_No_Filter  res.data.status = " + res.data.status);
                console.log(" In Getall_Training_Materiel_No_Filter  res.data.message r_class = " + res.data.message);
                setGetall_Training_Materiel_No_Filter_api("true");
                setGetall_Training_Materiel_No_Filter_result(res.data.message);
                setRows(res.data.message);
            }
            else {
                setGetall_Training_Materiel_No_Filter_api("false");
                setGetall_Training_Materiel_No_Filter_message(res.data.message);
                alert(res.data.message);
            }

        }).catch((error) => {
            console.warn('Not good man :( Getall_Training_Materiel_No_Filter = ', error);
            setGetall_Training_Materiel_No_Filter_api("false");
            alert(" Impossible de recuperer la liste du materiel");
            //setmyApimyApiMessage("")
        })
    }


    const sleep = (milliseconds) => {
        return new Promise(resolve => setTimeout(resolve, milliseconds))
    }

    async function submenu_detail_materiel() {
        setsubmenu("detail_materiel");

        await sleep(5);
        /*if (!edit_session_form) {
            desableSessionFields();
        }*/

        if (document.getElementById("detail_materiel")) {
            document.getElementById("detail_materiel").style.backgroundColor = "#104277";
            document.getElementById("detail_materiel").style.color = "white";
        }


        if (document.getElementById("affectation")) {
            document.getElementById("affectation").style.backgroundColor = "#d8edfc";
            document.getElementById("affectation").style.color = "black";
        }

        //console.log(" ### employee_data_edit_mode = ", employee_data_edit_mode);
        if (String(materiel_data_edit_mode) !== "1")
            disable_Materiel_DetailFields();

    }


    async function submenu_affectation() {
        setsubmenu("affectation");

        await sleep(5);
        /*if (!edit_session_form) {
            desableSessionFields();
        }*/

        if (document.getElementById("affectation")) {
            document.getElementById("affectation").style.backgroundColor = "#104277";
            document.getElementById("affectation").style.color = "white";
        }

        if (document.getElementById("detail_materiel")) {
            document.getElementById("detail_materiel").style.backgroundColor = "#d8edfc";
            document.getElementById("detail_materiel").style.color = "black";
        }



    }


    function Display_Detail_Material_Data(materiel_id) {
        //clearDetailAttendeFields();
        setadd_One_Materiel();
        setdisplay_detail_materiel("1");

        Get_Materiel_Data(materiel_id);
        get_Materiel_Images(materiel_id);
    }

    const [materiel_data_edit_mode, setmateriel_data_edit_mode] = useState("");

    function disable_Materiel_DetailFields() {
        setmateriel_data_edit_mode("0");

        if (document.getElementsByName("detail_ref_interne")[0]) {
            document.getElementsByName("detail_ref_interne")[0].disabled = true;
            document.getElementsByName("detail_ref_interne")[0].style.backgroundColor = "#ECEFF1";
        }


        if (document.getElementsByName("detail_nom")[0]) {
            document.getElementsByName("detail_nom")[0].disabled = true;
            document.getElementsByName("detail_nom")[0].style.backgroundColor = "#ECEFF1";
        }

        if (document.getElementsByName("detail_description")[0]) {
            document.getElementsByName("detail_description")[0].disabled = true;
            document.getElementsByName("detail_description")[0].style.backgroundColor = "#ECEFF1";
        }


        if (document.getElementsByName("detail_detail")[0]) {
            document.getElementsByName("detail_detail")[0].disabled = true;
            document.getElementsByName("detail_detail")[0].style.backgroundColor = "#ECEFF1";
        }


        if (document.getElementsByName("detail_famille")[0]) {
            document.getElementsByName("detail_famille")[0].disabled = true;
            document.getElementsByName("detail_famille")[0].style.backgroundColor = "#ECEFF1";
        }


        if (document.getElementsByName("detail_marque")[0]) {
            document.getElementsByName("detail_marque")[0].disabled = true;
            document.getElementsByName("detail_marque")[0].style.backgroundColor = "#ECEFF1";
        }

        if (document.getElementsByName("detail_ville")[0]) {
            document.getElementsByName("detail_ville")[0].disabled = true;
            document.getElementsByName("detail_ville")[0].style.backgroundColor = "#ECEFF1";
        }

        if (document.getElementsByName("detail_civilite")[0]) {
            document.getElementsByName("detail_civilite")[0].disabled = true;
            document.getElementsByName("detail_civilite")[0].style.backgroundColor = "#ECEFF1";
        }

        if (document.getElementsByName("detail_type")[0]) {
            document.getElementsByName("detail_type")[0].disabled = true;
            document.getElementsByName("detail_type")[0].style.backgroundColor = "#ECEFF1";
        }

        if (document.getElementsByName("detail_prix_achat")[0]) {
            document.getElementsByName("detail_prix_achat")[0].disabled = true;
            document.getElementsByName("detail_prix_achat")[0].style.backgroundColor = "#ECEFF1";
        }

        if (document.getElementsByName("detail_fournisseur")[0]) {
            document.getElementsByName("detail_fournisseur")[0].disabled = true;
            document.getElementsByName("detail_fournisseur")[0].style.backgroundColor = "#ECEFF1";
        }

        if (document.getElementsByName("detail_qty_stock")[0]) {
            document.getElementsByName("detail_qty_stock")[0].disabled = true;
            document.getElementsByName("detail_qty_stock")[0].style.backgroundColor = "#ECEFF1";
        }

    }

    function Enable_Materiel_DetailFields() {
        setmateriel_data_edit_mode("1");

        if (document.getElementsByName("detail_ref_interne")[0]) {
            document.getElementsByName("detail_ref_interne")[0].disabled = false;
            document.getElementsByName("detail_ref_interne")[0].style.backgroundColor = "#FFFFFF";
        }

        if (document.getElementsByName("detail_nom")[0]) {
            document.getElementsByName("detail_nom")[0].disabled = false;
            document.getElementsByName("detail_nom")[0].style.backgroundColor = "#FFFFFF";
        }

        if (document.getElementsByName("detail_description")[0]) {
            document.getElementsByName("detail_description")[0].disabled = false;
            document.getElementsByName("detail_description")[0].style.backgroundColor = "#FFFFFF";
        }


        if (document.getElementsByName("detail_detail")[0]) {
            document.getElementsByName("detail_detail")[0].disabled = false;
            document.getElementsByName("detail_detail")[0].style.backgroundColor = "#FFFFFF";
        }

        if (document.getElementsByName("detail_famille")[0]) {
            document.getElementsByName("detail_famille")[0].disabled = false;
            document.getElementsByName("detail_famille")[0].style.backgroundColor = "#FFFFFF";
        }

        if (document.getElementsByName("detail_marque")[0]) {
            document.getElementsByName("detail_marque")[0].disabled = false;
            document.getElementsByName("detail_marque")[0].style.backgroundColor = "#FFFFFF";
        }

        if (document.getElementsByName("detail_type")[0]) {
            document.getElementsByName("detail_type")[0].disabled = false;
            document.getElementsByName("detail_type")[0].style.backgroundColor = "#FFFFFF";
        }

        if (document.getElementsByName("detail_prix_achat")[0]) {
            document.getElementsByName("detail_prix_achat")[0].disabled = false;
            document.getElementsByName("detail_prix_achat")[0].style.backgroundColor = "#FFFFFF";
        }

        if (document.getElementsByName("detail_fournisseur")[0]) {
            document.getElementsByName("detail_fournisseur")[0].disabled = false;
            document.getElementsByName("detail_fournisseur")[0].style.backgroundColor = "#FFFFFF";
        }

        if (document.getElementsByName("detail_qty_stock")[0]) {
            document.getElementsByName("detail_qty_stock")[0].disabled = false;
            document.getElementsByName("detail_qty_stock")[0].style.backgroundColor = "#FFFFFF";
        }

    }


    function Annule_Materiel_DetailFields() {

        setisimgclassSelected();
        setuserimgclassprofil();
        setisimgclassSelected_recid();

        Get_Materiel_Data(selected_id);
        get_Materiel_Images(selected_id);

        setmateriel_data_changed("");
        setmateriel_data_edit_mode("");

    }


    const [Get_Materiel_Data_api, setGet_Materiel_Data_api] = useState();
    const [Get_Materiel_Data_message, setGet_Materiel_Data_message] = useState();
    const [Get_Materiel_Data_result, setGet_Materiel_Data_result] = useState();
    function Get_Materiel_Data(materiel_id) {
        setmateriel_data_changed("");
        setmateriel_data_edit_mode("");
        setisimgclassSelected();
        setuserimgclassprofil();
        setisimgclassSelected_recid();

        var form = new FormData();

        const stored_cookie = getCookie('tokenmysypart');
        form.append("token", stored_cookie);
        form.append("_id", materiel_id);


        var myurl = process.env.REACT_APP_API_URL + "myclass/api/Get_Given_Ressource_Materielle/";

        axios.post(myurl, form).then(res => {

            if (String(res.data.status) === "true") {
                //console.log(" In Get_Materiel_Data  res.data.status = " + res.data.status);
                //console.log(" In Get_Materiel_Data  res.data.message r_class = " + res.data.message);
                setGet_Materiel_Data_api("true");
                setGet_Materiel_Data_result(res.data.message);

                if (res.data.message.length > 0) {
                    var mylocal_materiel = JSON.parse(res.data.message);

                    document.getElementsByName("detail_ref_interne")[0].value = "";
                    if (mylocal_materiel.ref_interne)
                        setp_detail_ref_interne(mylocal_materiel.ref_interne);

                    document.getElementsByName("detail_nom")[0].value = "";
                    if (mylocal_materiel.nom)
                        setp_detail_nom(mylocal_materiel.nom);

                    document.getElementsByName("detail_description")[0].value = "";
                    if (mylocal_materiel.description)
                        setp_detail_description(mylocal_materiel.description);

                    document.getElementsByName("detail_detail")[0].value = "";
                    if (mylocal_materiel.detail)
                        setp_detail_detail(mylocal_materiel.detail);

                    document.getElementsByName("detail_famille")[0].value = "";
                    if (mylocal_materiel.famille)
                        setp_detail_famille(mylocal_materiel.famille);

                    document.getElementsByName("detail_marque")[0].value = "";
                    if (mylocal_materiel.marque)
                        setp_detail_marque(mylocal_materiel.marque);

                    document.getElementsByName("detail_type")[0].value = "";
                    if (mylocal_materiel.type)
                        setp_detail_type(mylocal_materiel.type);

                    document.getElementsByName("detail_prix_achat")[0].value = "";
                    if (mylocal_materiel.prix_achat)
                        setp_detail_prix_achat(mylocal_materiel.prix_achat);


                    document.getElementsByName("detail_fournisseur")[0].value = "";
                    if (mylocal_materiel.fournisseur)
                        setp_detail_fournisseur(mylocal_materiel.fournisseur);

                    document.getElementsByName("detail_qty_stock")[0].value = "";
                    if (mylocal_materiel.qty_stock)
                        setp_detail_qty_stock(mylocal_materiel.qty_stock);


                    disable_Materiel_DetailFields();
                } else {
                    alert(" Aucun materiel recuperé");
                }


            } else if (String(res.data.status) === String("Err_Connexion")) {
                alert('Erreur: ' + res.data.message);
                history.push("/Connexion");
            }

            else {
                setGet_Materiel_Data_api("false");
                setGet_Materiel_Data_message(res.data.message);
                alert(res.data.message);
            }

        }).catch((error) => {
            console.warn('Not good man :( Get_Materiel_Data = ', error);
            setGet_Materiel_Data_api("false");
            alert(" Impossible de recuperer les données du materiel");
            //setmyApimyApiMessage("")
        })
    }

    const [selected_id, setselected_id] = useState("");
    const [selected_employe_email, setselected_employe_email] = useState("");
    function handleClick_edit_materiel_From_Line(selected_row_id) {

        submenu_detail_materiel();

        var line = JSON.parse(rowss[selected_row_id]);

        //console.log("### line = ", line);
        var materiel_id = line._id;
        setselected_id(materiel_id);

        //console.log(" ### employe_id  = ", employe_id);
        Display_Detail_Material_Data(materiel_id);

        if (myRef.current) {
            myRef.current.scrollIntoView({ behavior: "smooth" });
        }

        Getall_Materiel_Affectation(materiel_id);
    }


    const [Getall_Materiel_Affectation_api, setGetall_Materiel_Affectation_api] = useState();
    const [Getall_Materiel_Affectation_message, setGetall_Materiel_Affectation_message] = useState();
    const [Getall_Materiel_Affectation_result, setGetall_Materiel_Affectation_result] = useState();
    function Getall_Materiel_Affectation(local_materiel_id) {

        var form = new FormData();


        const stored_cookie = getCookie('tokenmysypart');
        form.append("token", stored_cookie);
        form.append("rm_id", local_materiel_id);

        var myurl = process.env.REACT_APP_API_URL + "myclass/api/Get_List_Ressource_Materielle_Affectation/";



        axios.post(myurl, form).then(res => {

            if (String(res.data.status) === String("true")) {
                //console.log(" In Getall_Materiel_Affectation  res.data.status = " + res.data.status);
                //console.log(" In Getall_Materiel_Affectation  res.data.message r_class = " + res.data.message);
                setGetall_Materiel_Affectation_api("true");
                setGetall_Materiel_Affectation_result(res.data.message);
                setrows_affectations(res.data.message);
            }
            else {
                setGetall_Materiel_Affectation_api("false");
                setGetall_Materiel_Affectation_message(res.data.message);
                alert(res.data.message)
            }

        }).catch((error) => {
            console.warn('Not good man :( Getall_Materiel_Affectation = ', error);
            setGetall_Materiel_Affectation_api("false");
            alert(" Impossible de recuperer les affectations du materiel");
            //setmyApimyApiMessage("")
        })
    }


    const [Get_Materiel_Related_Target_Collection_Data_api, setGet_Materiel_Related_Target_Collection_Data_api] = useState();
    const [Get_Materiel_Related_Target_Collection_Data_message, setGet_Materiel_Related_Target_Collection_Data_message] = useState();
    const [Get_Materiel_Related_Target_Collection_Data_result, setGet_Materiel_Related_Target_Collection_Data_result] = useState();
    function Get_Materiel_Related_Target_Collection_Data() {

        var form = new FormData();


        const stored_cookie = getCookie('tokenmysypart');
        form.append("token", stored_cookie);


        var myurl = process.env.REACT_APP_API_URL + "myclass/api/Get_Related_Target_Materiel_Collection_Data/";



        axios.post(myurl, form).then(res => {

            if (String(res.data.status) === String("true")) {
                //console.log(" In Get_Materiel_Related_Target_Collection_Data  res.data.status = " + res.data.status);
                //console.log(" In Get_Materiel_Related_Target_Collection_Data  res.data.message r_class = " + res.data.message);
                setGet_Materiel_Related_Target_Collection_Data_api("true");
                setGet_Materiel_Related_Target_Collection_Data_result(res.data.message);

            }
            else {
                setGet_Materiel_Related_Target_Collection_Data_api("false");
                setGet_Materiel_Related_Target_Collection_Data_message(res.data.message);
                alert(res.data.message)
            }

        }).catch((error) => {
            console.warn('Not good man :( Get_Materiel_Related_Target_Collection_Data = ', error);
            setGet_Materiel_Related_Target_Collection_Data_api("false");
            alert(" Impossible de recuperer les cibles d'affectation");
            //setmyApimyApiMessage("")
        })
    }

    const [isimgclassdeleted, setisimgclassdeleted] = useState("");
    const [isimgclassdeleted_message, setisimgclassdeleted_message] = useState("");
    const [isimgclassSaved, setisimgclassSaved] = useState("");
    const [isimgclassSaved_message, setisimgclassSaved_message] = useState("");
    const [userimgclassprofil, setuserimgclassprofil] = useState();
    const [userimgclassprofilchanged, setuserimgclassprofilchanged] = useState("");

    function removeRecodedLogoImage() {
        if (!isimgclassSelected_recid || String(isimgclassSelected_recid).length < 3) {
            alert(" Image incorrecte. Impossible de la supprimer ");
            return;
        }

        var form = new FormData();

        const stored_cookie = getCookie('tokenmysypart');
        form.append("token", stored_cookie);
        form.append("image_recid", isimgclassSelected_recid);

        fetch(
            process.env.REACT_APP_API_URL + "myclass/api/DeleteImage_Ressource_Materielle/",
            {
                method: 'POST',
                body: form,
            }
        ).then((response) => response.json())
            .then((result) => {

                console.log(' removeRecodedClassImage : status:', result['status']);
                console.log('removeRecodedClassImage : Success:', result['message']);


                if (String(result['status']) === String("true")) {
                    setisimgclassSelected("");
                    setisimgclassSelected_recid("");
                    setisimgclassSelectedfile("");
                    setuserimgclassprofil("");
                    get_Materiel_Images();

                }
                else if (String(result['status']) === String("Err_Connexion")) {
                    alert('Erreur: ' + result['message']);
                    history.push("/Connexion");
                    return;
                }

                else {
                    alert(result['message']);
                }

            })
            .catch((error) => {
                console.error('Error:', error);
                alert(" Impossible de supprimer l'image ");
            });

    }


    const imglogoclasschangeHandler = (event) => {


        let file_size = event.target.files[0].size;

        //or if you like to have name and type
        //console.log(event.target.files);

        let file_name = event.target.files[0].name;
        let file_type = event.target.files[0].type;



        //alert("file_size =  "+file_size+" file_type = "+file_type+" a = "+a);
        if (file_size > 1000000) {
            alert("L'image ne doit pas depasser un 1 Méga octets");
            return;
        }
        setisimgclassSelected(event.target.files[0]);
        setisimgclassSelectedfile(true);

        setuserimgclassprofil(URL.createObjectURL(event.target.files[0]));
        setuserimgclassprofilchanged("1");

    };

    const [record_materiel_Image_api, setrecord_materiel_Image_api] = useState();
    const [record_materiel_Image_message, setrecord_materiel_Image_message] = useState();
    const [record_materiel_Image_result, setrecord_materiel_Image_result] = useState();
    function record_materiel_Image(l) {

        const formData = new FormData();
        const url = process.env.REACT_APP_API_URL + "myclass/api/Update_Ressource_Materielle_Image/";

        const stored_cookie = getCookie('tokenmysypart');
        formData.append("token", stored_cookie);
        formData.append("rm_id", selected_id);

        formData.append('file_img', isimgclassSelected);
        formData.append('file_img_recid', isimgclassSelected_recid);


        //console.log(" ### formData = ", formData);
        fetch(
            url,
            {
                method: 'POST',
                body: formData,
            }
        )
            .then((response) => response.json())
            .then((result) => {
                console.log('Success:', result['message'], "result['status'] = ", result['status']);

                if (String(result['status']) === String("true")) {
                    setrecord_materiel_Image_api("true");
                    setuserimgclassprofilchanged("");
                    alert(" L'image à jour a été mise enregistrée ");

                } else if (String(result['status']) === String("Err_Connexion")) {
                    alert('Erreur: ' + result['message']);
                    history.push("/Connexion");
                } else {
                    setrecord_materiel_Image_api("false");
                    alert(" Erreur : " + result['message']);
                }

            })
            .catch((error) => {
                console.error('Error:', error);
                setrecord_materiel_Image_api("false");
                alert(" Erreur : Impossible d'enregistrer l'image ");

            });


    };

    const [Update_One_Materiel_Data_api, setUpdate_One_Materiel_Data_api] = useState();
    const [Update_One_Materiel_Data_message, setUpdate_One_Materiel_Data_message] = useState();
    const [Update_One_Materiel_Data_result, setUpdate_One_Materiel_Data_result] = useState();
    function Update_One_Materiel_Data() {
        var form = new FormData();
        //form.append("token","K3cw63eKokKSbV4spjQ48SUNnfy80yrXfA");


        const stored_cookie = getCookie('tokenmysypart');
        form.append("token", stored_cookie);
        form.append("ref_interne", p_detail_ref_interne);

        if (p_detail_nom)
            form.append("nom", p_detail_nom);
        else
            form.append("nom", "");


        if (p_detail_description)
            form.append("description", p_detail_description);
        else
            form.append("description", "");


        if (p_detail_detail)
            form.append("detail", p_detail_detail);
        else
            form.append("detail", "");


        if (p_detail_famille)
            form.append("famille", p_detail_famille);
        else
            form.append("famille", "");

        if (p_detail_marque)
            form.append("marque", p_detail_marque);
        else
            form.append("marque", "");


        if (p_detail_type)
            form.append("type", p_detail_type);
        else
            form.append("type", "");

        if (p_detail_prix_achat)
            form.append("prix_achat", p_detail_prix_achat);
        else
            form.append("prix_achat", "");

        if (p_detail_fournisseur)
            form.append("fournisseur", p_detail_fournisseur);
        else
            form.append("fournisseur", "");

        if (p_detail_qty_stock)
            form.append("qty_stock", p_detail_qty_stock);
        else
            form.append("qty_stock", "");


        form.append("_id", selected_id);

        //console.log(" form == ", form);

        var myurl = process.env.REACT_APP_API_URL + "myclass/api/Update_Ressource_Materielle/";

        axios.post(myurl, form).then(res => {
            console.log(" In Update_One_Materiel_Data  res.data.status = " + res.data.status);
            console.log(" In Update_One_Materiel_Data  res.data.message r_class = " + res.data.message);

            if (String(res.data.status) === String("true")) {
                setUpdate_One_Materiel_Data_api("true");
                setUpdate_One_Materiel_Data_result(res.data.message);

                Getall_Training_Materiel();

                disable_Materiel_DetailFields();
                setmateriel_data_changed("");
                setmateriel_data_edit_mode("");
                Getall_Training_Materiel(selected_id);
                alert(" La mise à jour été correctement faite.");

                setsubmenu("detail_materiel");
                setadd_One_Materiel("");
                Get_Materiel_Data(selected_id);
                if (myRef_head)
                    myRef_head.current.scrollIntoView({ behavior: "smooth" });

            }
            else {
                setUpdate_One_Materiel_Data_api("false");
                setUpdate_One_Materiel_Data_message(res.data.message);
                alert(res.data.message);
            }

        }).catch((error) => {

            console.warn('UpdateStagiaireData : Not good man :( Update_One_Materiel_Data = ' + error);
            setUpdate_One_Materiel_Data_api("false");
            alert(" Impossible de mettre à jour le materiel");

        })
    }


    const [get_Materiel_Images_api, setget_Materiel_Images_api] = useState();
    const [get_Materiel_Images_message, setget_Materiel_Images_message] = useState();
    const [get_Materiel_Images_result, setget_Materiel_Images_result] = useState();
    function get_Materiel_Images(material_id) {

        setisimgclassSelected();
        setuserimgclassprofil();
        setisimgclassSelected_recid();

        var myurl = process.env.REACT_APP_API_URL + "myclass/api/getRecoded_Materielle_Image_from_front/";

        var form = new FormData();
        const stored_cookie = getCookie('tokenmysypart');
        form.append("token", stored_cookie);
        form.append("rm_id", material_id);


        axios.post(myurl, form).then(res => {

            //console.log(" get_Materiel_Images : In test  res.data.status = " + res.data.status);
            // console.log(" get_Materiel_Images: res.data.message.img = " + res.data.message);

            if (String(res.data.status) === "true") {
                setget_Materiel_Images_api("true");

                if (JSON.parse(res.data.message).logo_img) {
                    var partner_logo_img = "data:image/png;base64," + JSON.parse(res.data.message).logo_img;
                    setisimgclassSelected(partner_logo_img);
                    setuserimgclassprofil(partner_logo_img);
                    setisimgclassSelected_recid(JSON.parse(res.data.message).logo_img_recid);
                }


            }
            else if (String(res.data.status) === String("Err_Connexion")) {
                alert('Erreur: ' + res.data.message);
                history.push("/Connexion");
                return;
            }
            else {
                setget_Materiel_Images_api("false");
                get_Materiel_Images_message(res.data.message)
                alert(res.data.message);

            }
        }).catch((error) => {
            console.warn('get_Materiel_Images ee: Not good man :(  = ', error);
            setget_Materiel_Images_api("false");
            get_Materiel_Images_message(" Impossible de recuperer l'image du materiel")
        })

    }

    const [isimgclassSelected, setisimgclassSelected] = useState(false);
    const [isimgclassSelected_recid, setisimgclassSelected_recid] = useState("");
    const [isimgclassSelectedfile, setisimgclassSelectedfile] = useState(false);


    const [p_detail_ref_interne, setp_detail_ref_interne] = useState();
    const [p_detail_nom, setp_detail_nom] = useState();
    const [p_detail_description, setp_detail_description] = useState();
    const [p_detail_detail, setp_detail_detail] = useState();
    const [p_detail_famille, setp_detail_famille] = useState();
    const [p_detail_marque, setp_detail_marque] = useState();
    const [p_detail_type, setp_detail_type] = useState();
    const [p_detail_prix_achat, setp_detail_prix_achat] = useState();
    const [p_detail_fournisseur, setp_detail_fournisseur] = useState();
    const [p_detail_qty_stock, setp_detail_qty_stock] = useState();


    // ------------
    const [p_one_detail_ref_interne, setp_one_detail_ref_interne] = useState();
    const [p_one_detail_nom, setp_one_detail_nom] = useState();
    const [p_one_detail_description, setp_one_detail_description] = useState();
    const [p_one_detail_detail, setp_one_detail_detail] = useState();
    const [p_one_detail_famille, setp_one_detail_famille] = useState();
    const [p_one_detail_marque, setp_one_detail_marque] = useState();
    const [p_one_detail_type, setp_one_detail_type] = useState();
    const [p_one_detail_prix_achat, setp_one_detail_prix_achat] = useState();
    const [p_one_detail_fournisseur, setp_one_detail_fournisseur] = useState();
    const [p_one_detail_qty_stock, setp_one_detail_qty_stock] = useState();


    return (
        <div className="materiels">
            <Dialog
                open={Dialog_1_open}
                onClose={Dialog_1_handleClose}

            >

                <DialogTitle>MySy Information</DialogTitle>
                <DialogContent>
                    <DialogContentText>
                        {Dialog_1_message}
                    </DialogContentText>

                </DialogContent>

                <DialogActions>
                    <Button onClick={Dialog_1_handleClose_buton}>OK</Button>

                </DialogActions>
            </Dialog>

            <h3> Votre matériel </h3>
            <div className="div_row">
                <div className="titre1">  Utilisez les filtres !</div>
                <div className="div_row" style={{ "marginBottom": "5px" }}>
                    <div className="div_row_gauche texte_area_filter" >
                        <TextField
                            name="filtre1"
                            label="Choisir un champ"
                            select
                            sx={{ m: 1, width: '100%' }}
                            value={p_filtre1}
                            onChange={(e) => {
                                setp_filtre1(e.target.value);

                            }}
                        >
                            <MenuItem value="email" style={{ "paddingLeft": "5px", "textAlign": "left", "width": "100%" }} >Email &nbsp;</MenuItem>
                            <MenuItem value="nom" style={{ "paddingLeft": "5px", "textAlign": "left", "width": "100%" }} >Nom  &nbsp;</MenuItem>
                            <MenuItem value="formation" style={{ "paddingLeft": "5px", "textAlign": "left", "width": "100%" }} >Lié a la Formation (code externe) &nbsp;</MenuItem>
                            <MenuItem value="session" style={{ "paddingLeft": "5px", "textAlign": "left", "width": "100%" }} >Lié a la Session (code session) &nbsp;</MenuItem>


                        </TextField>
                    </div>



                    <div className="div_row_droite texte_area_filter_value" >
                        {p_filtre1 &&
                            <TextField
                                sx={{ '& legend': { display: 'none' }, '& fieldset': { top: 0 }, }}
                                required
                                name="filtre1_value"
                                id="filtre1_value"

                                InputLabelProps={{
                                    shrink: true,
                                }}
                                disabled={false}
                                className="disabled_style"
                                value={p_filtre1_value}
                                onChange={(e) => { setp_filtre1_value(e.target.value); }}
                                InputProps={{
                                    endAdornment: (
                                        <InputAdornment position="end">
                                            <AiFillCloseCircle
                                                style={{ 'cursor': "pointer", "color": "orangered" }}
                                                onClick={(e) => {
                                                    setp_filtre1_value("");
                                                }} />
                                        </InputAdornment>
                                    ),
                                }}

                            />

                        }
                    </div>
                    {p_filtre1 && <div className='filter_bton_add'>
                        <Tooltip id="my-tooltip01" style={{ "fontSize": "12px" }} />
                        <a data-tooltip-id="my-tooltip01" data-tooltip-content="Ajouter une nouvelle ligne de filtre">
                            &nbsp; <MdAddCircleOutline onClick={(e) => {
                                setp_filtre2("1");
                                setp_filtre2_value("");
                            }} />
                        </a>
                    </div>}
                    {p_filtre1 && <div className='filter_bton_add'>
                        <Tooltip id="my-tooltip02" style={{ "fontSize": "12px" }} />
                        <a data-tooltip-id="my-tooltip02" data-tooltip-content="Supprimer cette ligne de filtre">
                            &nbsp; <MdRemoveCircleOutline onClick={(e) => {
                                setp_filtre1();
                                setp_filtre1_value();
                            }}
                            />
                        </a>
                    </div>}


                </div>

                {p_filtre2 &&
                    <div className="div_row" style={{ "marginBottom": "5px" }}>
                        <div className="div_row_gauche texte_area_filter">
                            <TextField
                                name="filtre2"
                                label="Choisir un champ"
                                select
                                sx={{ m: 1, width: '100%' }}

                                value={p_filtre2}
                                onChange={(e) => {
                                    setp_filtre2(e.target.value);

                                }}
                            >
                                <MenuItem value="email" style={{ "paddingLeft": "5px", "textAlign": "left", "width": "100%" }} >Email &nbsp;</MenuItem>
                                <MenuItem value="nom" style={{ "paddingLeft": "5px", "textAlign": "left", "width": "100%" }} >Nom  &nbsp;</MenuItem>
                                <MenuItem value="formation" style={{ "paddingLeft": "5px", "textAlign": "left", "width": "100%" }} >Lié a la Formation (code externe) &nbsp;</MenuItem>
                                <MenuItem value="session" style={{ "paddingLeft": "5px", "textAlign": "left", "width": "100%" }} >Lié a la Session (code session) &nbsp;</MenuItem>


                            </TextField>
                        </div>
                        <div className="div_row_droite texte_area_filter_value" style={{ "marginTop": "0.5rem" }}>
                            {String(p_filtre2).length > 2 &&
                                <TextField
                                    sx={{ '& legend': { display: 'none' }, '& fieldset': { top: 0 }, }}
                                    required
                                    name="filtre2_value"
                                    id="filtre2_value"

                                    InputLabelProps={{
                                        shrink: true,
                                    }}
                                    disabled={false}
                                    className="disabled_style"
                                    value={p_filtre2_value}
                                    onChange={(e) => setp_filtre2_value(e.target.value)}
                                    InputProps={{
                                        endAdornment: (
                                            <InputAdornment position="end">
                                                <AiFillCloseCircle
                                                    style={{ 'cursor': "pointer", "color": "orangered" }}
                                                    onClick={(e) => {
                                                        setp_filtre2_value("");
                                                    }} />
                                            </InputAdornment>
                                        ),
                                    }}

                                />}
                        </div>

                        {String(p_filtre2).length > 2 && <div className='filter_bton_add' >
                            <Tooltip id="my-tooltip03" style={{ "fontSize": "12px" }} />
                            <a data-tooltip-id="my-tooltip03" data-tooltip-content="Ajouter une nouvelle ligne de filtre">
                                &nbsp; <MdAddCircleOutline
                                    onClick={(e) => {
                                        setp_filtre3("1");
                                        setp_filtre3_value("");
                                    }}
                                />
                            </a>
                        </div>}

                        {String(p_filtre2).length > 2 && <div className='filter_bton_add'>
                            <Tooltip id="my-tooltip04" style={{ "fontSize": "12px" }} />
                            <a data-tooltip-id="my-tooltip04" data-tooltip-content="Supprimer cette ligne de filtre">
                                &nbsp; <MdRemoveCircleOutline
                                    onClick={(e) => {
                                        setp_filtre2();
                                        setp_filtre2_value();
                                    }}
                                />
                            </a>
                        </div>}

                    </div>
                }


                {p_filtre3 &&
                    <div className="div_row" style={{ "marginBottom": "5px" }}>
                        <div className="div_row_gauche texte_area_filter">
                            <TextField
                                name="filtre3"
                                label="Choisir un champ"
                                select
                                sx={{ m: 1, width: '100%' }}

                                value={p_filtre3}
                                onChange={(e) => {
                                    setp_filtre3(e.target.value)
                                }}
                            >
                                <MenuItem value="email" style={{ "paddingLeft": "5px", "textAlign": "left", "width": "100%" }} >Email &nbsp;</MenuItem>
                                <MenuItem value="nom" style={{ "paddingLeft": "5px", "textAlign": "left", "width": "100%" }} >Nom  &nbsp;</MenuItem>
                                <MenuItem value="formation" style={{ "paddingLeft": "5px", "textAlign": "left", "width": "100%" }} >Lié a la Formation (code externe) &nbsp;</MenuItem>
                                <MenuItem value="session" style={{ "paddingLeft": "5px", "textAlign": "left", "width": "100%" }} >Lié a la Session (code session) &nbsp;</MenuItem>


                            </TextField>
                        </div>
                        <div className="div_row_droite texte_area_filter_value" style={{ "marginTop": "0.5rem" }}>
                            {String(p_filtre3).length > 2 &&
                                <TextField
                                    sx={{ '& legend': { display: 'none' }, '& fieldset': { top: 0 }, }}
                                    required
                                    name="filtre3_value"
                                    id="filtre3_value"

                                    InputLabelProps={{
                                        shrink: true,
                                    }}
                                    disabled={false}
                                    className="disabled_style"
                                    value={p_filtre3_value}
                                    onChange={(e) => setp_filtre3_value(e.target.value)}
                                    InputProps={{
                                        endAdornment: (
                                            <InputAdornment position="end">
                                                <AiFillCloseCircle
                                                    style={{ 'cursor': "pointer", "color": "orangered" }}
                                                    onClick={(e) => {
                                                        setp_filtre3_value("");
                                                    }} />
                                            </InputAdornment>
                                        ),
                                    }}

                                />}
                        </div>

                        {String(p_filtre2).length > 2 && <div className='filter_bton_add' >
                            <Tooltip id="my-tooltip03" style={{ "fontSize": "12px" }} />
                            <a data-tooltip-id="my-tooltip03" data-tooltip-content="Ajouter une nouvelle ligne de filtre">
                                &nbsp; <MdAddCircleOutline
                                    onClick={(e) => {
                                        setp_filtre4("1");
                                        setp_filtre4_value("");
                                    }}
                                />
                            </a>
                        </div>}

                        {String(p_filtre3).length > 2 && <div className='filter_bton_add'>
                            <Tooltip id="my-tooltip05" style={{ "fontSize": "12px" }} />
                            <a data-tooltip-id="my-tooltip05" data-tooltip-content="Supprimer cette ligne de filtre">
                                &nbsp; <MdRemoveCircleOutline onClick={(e) => {
                                    setp_filtre3();
                                    setp_filtre3_value();
                                }} />
                            </a>
                        </div>}
                    </div>
                }

                {/*
                {p_filtre4 &&
                    <div className="div_row" style={{ "marginBottom": "5px" }}>
                        <div className="div_row_gauche texte_area_filter">
                            <TextField
                                name="filtre4"
                                label="Choisir un champ"
                                select
                                sx={{ m: 1, width: '100%' }}

                                value={p_filtre4}
                                onChange={(e) => {
                                    setp_filtre4(e.target.value)
                                }}
                            >
                                <MenuItem value="email" style={{ "paddingLeft": "5px", "textAlign": "left", "width": "100%" }} >Email &nbsp;</MenuItem>
                                <MenuItem value="nom" style={{ "paddingLeft": "5px", "textAlign": "left", "width": "100%" }} >Nom  &nbsp;</MenuItem>
                                <MenuItem value="code_session" style={{ "paddingLeft": "5px", "textAlign": "left", "width": "100%" }}>Code Session &nbsp;&nbsp;</MenuItem>
                                <MenuItem value="class_title" style={{ "paddingLeft": "5px", "textAlign": "left", "width": "100%" }} >Titre Formation &nbsp;</MenuItem>


                            </TextField>
                        </div>
                        <div className="div_row_droite texte_area_filter_value" style={{ "marginTop": "0.5rem" }}>
                            {String(p_filtre4).length > 2 &&
                                <TextField
                                    sx={{ '& legend': { display: 'none' }, '& fieldset': { top: 0 }, }}
                                    required
                                    name="filtre4_value"
                                    id="filtre4_value"

                                    InputLabelProps={{
                                        shrink: true,
                                    }}
                                    disabled={false}
                                    className="disabled_style"
                                    value={p_filtre4_value}
                                    onChange={(e) => setp_filtre2_value(e.target.value)}
                                    InputProps={{
                                        endAdornment: (
                                            <InputAdornment position="end">
                                                <AiFillCloseCircle
                                                    style={{ 'cursor': "pointer", "color": "orangered" }}
                                                    onClick={(e) => {
                                                        setp_filtre4_value("");
                                                    }} />
                                            </InputAdornment>
                                        ),
                                    }}

                                />}
                        </div>



                        {String(p_filtre2).length > 2 && <div className='filter_bton_add'>
                            <Tooltip id="my-tooltip04" style={{ "fontSize": "12px" }} />
                            <a data-tooltip-id="my-tooltip04" data-tooltip-content="Supprimer cette ligne de filtre">
                                &nbsp; <MdRemoveCircleOutline
                                    onClick={(e) => {
                                        setp_filtre4();
                                        setp_filtre4_value();
                                    }}
                                />
                            </a>
                        </div>}

                    </div>
                }
                */}
                <div className="div_row" ref={myRef_head} style={{ "border": "None", "color": "orange", "textAlign": "center" }}>

                    <div className="div_row_gauche" style={{ "textAlign": 'left', 'marginLeft': '15px' }}>
                        <Button variant="contained" className="bton_enreg" onClick={"Getall_Training_Employee"}>Rechercher
                        </Button>
                    </div>

                    <div className="div_row_droite" style={{ "textAlign": 'right', 'marginRight': '15px' }}>
                        <Button variant="contained" className="bton_annule" onClick={"clean_all_filters"}>Annuler
                        </Button>

                    </div>

                </div>

                <br />
            </div>

            <div className="div_row">
                <div className="session_data">
                    <div style={{ "border": "None" }}>

                        <div style={{ height: 550, width: '100%', paddingRight: '1px' }}>
                            &nbsp;
                            <Box
                                sx={{
                                    height: 500,
                                    width: '100%',
                                    paddingRight: '1px',

                                    // Gestion des cellule a distance ou presentiel
                                    '& .cell--distantiel': {
                                        backgroundColor: '#AFE1AF',
                                        color: 'black',
                                    },

                                    '& .cell--presentiel': {
                                        backgroundColor: '#AFE1AF',
                                        color: 'black',
                                    },


                                    // gestion couleur des lignes avec le statut d'inscription
                                    '& .line--statut--annule': {
                                        backgroundColor: '#D8D8D8',
                                        color: 'white',
                                    },

                                    '& .line--statut--inscrit': {
                                        backgroundColor: '#CEF6D8',
                                        color: 'black',
                                    },
                                    '& .line--statut--preinscrit': {
                                        backgroundColor: '#F7F2E0',
                                        color: 'black',
                                    },

                                    /*"& .MuiDataGrid-virtualScrollerRenderZone": {
                                        "& .MuiDataGrid-row": {
                                            "&:nth-child(2n)": { backgroundColor: "rgba(235, 235, 235, .7)" }
                                        }
                                    },*/
                                    "& .MuiDataGrid-columnHeaders": {
                                        backgroundColor: "#c8cfd5",
                                        color: "black",
                                        fontSize: 14
                                    },

                                }}
                            >
                                <DataGrid
                                    checkboxSelection
                                    onSelectionModelChange={(newSelectionModel) => {
                                        setSelectionModel(newSelectionModel);
                                        if (newSelectionModel.length === 1)
                                            handleClick_edit_materiel_From_Line(newSelectionModel);
                                        if (newSelectionModel.length !== 1) {
                                            setsubmenu();
                                            setdisplay_detail_materiel();
                                            setadd_One_Materiel();
                                        }
                                    }}
                                    selectionModel={selectionModel}

                                    localeText={frFR.components.MuiDataGrid.defaultProps.localeText}
                                    rows={rowss.map((item, index) => (
                                        {
                                            id: index,
                                            _id: JSON.parse(item)._id,
                                            email: JSON.parse(item).email,
                                            nom: JSON.parse(item).nom,
                                            ref_interne: JSON.parse(item).ref_interne,
                                            famille: JSON.parse(item).famille,
                                            marque: JSON.parse(item).marque,
                                            type: JSON.parse(item).type,
                                            fournisseur: JSON.parse(item).fournisseur,

                                        }
                                    ))}

                                    columns={columns}
                                    pageSize={10}
                                    className="datagridclass"

                                    rowsPerPageOptions={[10]}
                                    //disableSelectionOnClick
                                    components={{
                                        Toolbar: GridToolbar,
                                    }}
                                    //sx={datagridSx}
                                    getCellClassName={(params) => {
                                        //field === 'distantiel'
                                        if (params.field === 'distantiel' && String(params.value) === "1") {
                                            return 'cell--distantiel';
                                        }
                                        if (params.field === "presentiel" && String(params.value) == "1") {
                                            return 'cell--presentiel';
                                        }


                                        //field === "statut"
                                        if (params.field === "status" && String(params.value) == "0") {
                                            return 'cell--statut--preinscrit';
                                        }

                                        if (params.field === "status" && String(params.value) == "1") {
                                            return 'cell--statut--inscrit';
                                        }

                                        if (params.field === "status" && String(params.value) == "-1") {
                                            return 'cell--statut--annule';
                                        }

                                    }}
                                    getRowClassName={(params) => {

                                        if (String(params.row.status) === "-1") {
                                            return 'line--statut--annule';
                                        }
                                        if (String(params.row.status) === "0") {
                                            return 'line--statut--preinscrit';
                                        }
                                        if (String(params.row.status) === "1") {
                                            return 'line--statut--inscrit';
                                        }
                                    }}


                                />
                            </Box>
                            <br />

                        </div>

                    </div>

                </div>

                <div className="div_row" style={{ "border": "None" }}>

                    <div className="div_row_gauche div_row_gauche_etendu" style={{ "textAlign": "left", "paddingLeft": "5px" }}>

                        <Button variant="outlined" onClick={submenu_import_materiel} className="detail_class_submenu bton_import_excel"
                            id='menu_import_participant' name='menu_import_participant'>Importer du materiel Excel &nbsp;
                            <img src={excel_icone} alt="ajout csv" className="icon_excel" />
                        </Button>


                        <Button variant="outlined" onClick={submenu_add_one_materiel}
                            className="detail_class_submenu bton_add_session"
                            id='menu_import_participant' name='menu_import_participant'>Ajout 1 Materiel &nbsp;
                            <img src={add_plus} alt="ajout session" className="icon_plus" />
                        </Button>

                        <br />
                        {session_file_name && <nav><i>{session_file_name}</i></nav>}
                        {String(liste_sessions_file_change_api) === String("true") && <nav className="okUpdateData"> Le materiel ont été correctement importé</nav>}
                        {String(liste_sessions_file_change_api) === String("false") && <nav className="koUpdateData"> {liste_sessions_file_change_message} </nav>}

                        <input type="file"
                            accept=".csv"
                            ref={hiddenFileInput_session}
                            style={{ display: 'none' }}
                            name="liste_sessions_file"
                            onChange={liste_sessions_file_change}
                        />

                        <a href='/sample/template_import_employes.csv' download>Télécharger un fichier modèle</a>
                    </div>
                </div>
                <div className="div_row"> &nbsp;</div>
                <div className="div_row">
                    <Button variant="outlined" ref={myRef} onClick={submenu_detail_materiel} className="detail_class_submenu" id='detail_materiel' name='detail_materiel'>Détail Materiel</Button>
                    <Button variant="outlined" onClick={submenu_affectation} className="detail_class_submenu" id='affectation' name='affectation'>Affectation  </Button>


                </div>

            </div>

            {String(submenu) === "detail_materiel" && String(add_One_Materiel) !== "1" && <div className="div_row">
                <nav style={{ "border": "None", "fontSize": "22px", "fontWeight": "600" }}> Détail Materiel </nav>
                <div className="div_row" style={{ "border": "None" }}>
                    <div className="div_row_gauche">

                        <div className="div_row_bis" style={{ "marginBottom": "10px", "marginTop": "1rem" }} >
                            <div className="div_row_gauche_image">
                                <img class="img_class_logo" src={userimgclassprofil} /><br />

                            </div>
                            <div className="div_row_droite_image">
                                <input type="file" id="files_img_class" accept="image/*" onChange={imglogoclasschangeHandler} style={{ opacity: "0", zIndex: "-1", maxWidth: "5px", maxHeight: "0px" }} /><br />
                                {<nav>

                                    <label for="files_img_class" className="bton_image_class">Charger une photo</label><br />

                                    {String(userimgclassprofilchanged) === "1" &&
                                        <nav className="bton_image_class" onClick={record_materiel_Image}>Enregistrer la photo<br />  </nav>
                                    }

                                    {String(isimgclassSelected_recid) && String(isimgclassSelected_recid).length > 3 &&
                                        <nav className="bton_supprime_image_class" onClick={removeRecodedLogoImage}>Supprimer la photo<br />  </nav>
                                    }
                                    {String(userimgclassprofilchanged) === "1" &&
                                        <div className="koUpdateData" style={{ "color": "orange", "textAlign": "center" }}> /!\ Pensez à enregistrer la photo
                                        </div>}


                                </nav>}

                                {/*isimgclassSelected && <Button variant="outlined" onClick={sendClassImage} className="bton_image_class">Enregistrer image</Button>*/}
                                {isimgclassdeleted && String(isimgclassdeleted) === "1" && <nav className="koUpdateData"> {isimgclassdeleted_message}</nav>}
                                {isimgclassdeleted && String(isimgclassdeleted) === "0" && <nav className="okUpdateData"> {isimgclassdeleted_message}</nav>}
                                {isimgclassSelected && String(isimgclassSaved) === "0" && <nav className="koUpdateData"> {isimgclassSaved_message}</nav>}
                            </div>

                        </div>
                        <div className="div_row_bis tips_img_class">
                            <li>
                                L'image doit etre carrée.
                            </li>
                            <li>
                                Les formats autorisés sont : <i>['jpg', 'jpeg', 'png', 'jpe', 'webp']</i>
                            </li>
                            <li>
                                Les dimensions recommandées: 128pixels X 128pixels --   144pixels X 144pixels --  168pixels X 168pixels<br />
                                Les dimensions maximales sont de 256pixels X 256pixels
                            </li>
                            <li>
                                La taille de l'image ne doit pas depasser 1 mega octet
                            </li>
                        </div>

                    </div>
                </div>
                <div className="session_data" >
                    <div className="session_caract"> Ref. Interne<br />
                        <TextField
                            sx={{ '& legend': { display: 'none' }, '& fieldset': { top: 0 }, }}
                            required
                            name="detail_ref_interne"
                            id="detail_ref_interne"

                            InputLabelProps={{
                                shrink: true,
                            }}
                            disabled={false}
                            className="disabled_style"
                            value={p_detail_ref_interne}
                            onChange={(e) => {
                                setp_detail_ref_interne(e.target.value);
                                setmateriel_data_changed("1");
                            }
                            }

                        />
                    </div>

                    <div className="session_caract"> Nom<br />
                        <TextField
                            sx={{ '& legend': { display: 'none' }, '& fieldset': { top: 0 }, }}
                            required
                            name="detail_nom"
                            id="detail_nom"

                            InputLabelProps={{
                                shrink: true,
                            }}
                            disabled={false}
                            className="disabled_style"
                            value={p_detail_nom}
                            onChange={(e) => {
                                setp_detail_nom(e.target.value);
                                setmateriel_data_changed("1");
                            }
                            }

                        />
                    </div>

                    <div className="session_caract"> Description<br />
                        <TextField
                            sx={{ '& legend': { display: 'none' }, '& fieldset': { top: 0 }, }}
                            required
                            name="detail_description"
                            id="detail_description"

                            InputLabelProps={{
                                shrink: true,
                            }}
                            disabled={false}
                            className="disabled_style"
                            value={p_detail_description}
                            onChange={(e) => {
                                setp_detail_description(e.target.value);
                                setmateriel_data_changed("1");
                            }
                            }

                        />
                    </div>

                    <div className="session_caract"> Detail<br />
                        <TextField
                            sx={{ '& legend': { display: 'none' }, '& fieldset': { top: 0 }, }}
                            required
                            name="detail_detail"
                            id="detail_detail"

                            InputLabelProps={{
                                shrink: true,
                            }}
                            disabled={false}
                            className="disabled_style"
                            value={p_detail_detail}
                            onChange={(e) => {
                                setp_detail_detail(e.target.value);
                                setmateriel_data_changed("1");
                            }
                            }

                        />
                    </div>

                    <div className="session_caract"> Famille<br />
                        <TextField
                            sx={{ '& legend': { display: 'none' }, '& fieldset': { top: 0 }, }}
                            required
                            name="detail_famille"
                            id="detail_famille"

                            InputLabelProps={{
                                shrink: true,
                            }}
                            disabled={false}
                            className="disabled_style"
                            value={p_detail_famille}
                            onChange={(e) => {
                                setp_detail_famille(e.target.value);
                                setmateriel_data_changed("1");
                            }
                            }

                        />
                    </div>

                    <div className="session_caract"> Marque<br />
                        <TextField
                            sx={{ '& legend': { display: 'none' }, '& fieldset': { top: 0 }, }}
                            required
                            name="detail_marque"
                            id="detail_marque"

                            InputLabelProps={{
                                shrink: true,
                            }}
                            disabled={false}
                            className="disabled_style"
                            value={p_detail_marque}
                            onChange={(e) => {
                                setp_detail_marque(e.target.value);
                                setmateriel_data_changed("1");
                            }
                            }

                        />
                    </div>


                    <div className="session_caract"> Type<br />
                        <TextField
                            sx={{ '& legend': { display: 'none' }, '& fieldset': { top: 0 }, }}
                            required
                            name="detail_type"
                            id="detail_type"

                            InputLabelProps={{
                                shrink: true,
                            }}
                            disabled={false}
                            className="disabled_style"
                            value={p_detail_type}
                            onChange={(e) => {
                                setp_detail_type(e.target.value);
                                setmateriel_data_changed("1");
                            }
                            }

                        />
                    </div>

                    <div className="session_caract"> Prix d'achat (estimé)<br />
                        <TextField
                            sx={{ '& legend': { display: 'none' }, '& fieldset': { top: 0 }, }}
                            required
                            name="detail_prix_achat"
                            id="detail_prix_achat"

                            InputLabelProps={{
                                shrink: true,
                            }}
                            disabled={false}
                            className="disabled_style"
                            value={p_detail_prix_achat}
                            onChange={(e) => {
                                setp_detail_prix_achat(e.target.value);
                                setmateriel_data_changed("1");
                            }
                            }

                        />
                    </div>

                    <div className="session_caract"> Fournisseur<br />
                        <TextField
                            sx={{ '& legend': { display: 'none' }, '& fieldset': { top: 0 }, }}
                            required
                            name="detail_fournisseur"
                            id="detail_fournisseur"

                            InputLabelProps={{
                                shrink: true,
                            }}
                            disabled={false}
                            className="disabled_style"
                            value={p_detail_fournisseur}
                            onChange={(e) => {
                                setp_detail_fournisseur(e.target.value);
                                setmateriel_data_changed("1");
                            }
                            }

                        />
                    </div>

                    <div className="session_caract"> Qté en stock<br />
                        <TextField
                            sx={{ '& legend': { display: 'none' }, '& fieldset': { top: 0 }, }}
                            required
                            name="detail_qty_stock"
                            id="detail_qty_stock"

                            InputLabelProps={{
                                shrink: true,
                            }}
                            disabled={false}
                            className="disabled_style"
                            value={p_detail_qty_stock}
                            onChange={(e) => {
                                setp_detail_qty_stock(e.target.value);
                                setmateriel_data_changed("1");
                            }
                            }

                        />
                    </div>

                    <div className="div_row" style={{ "border": "None" }}>
                        &nbsp;
                    </div>
                    {String(materiel_data_changed) === "1" && String(materiel_data_edit_mode) === "1" && <div className="div_row" style={{ "border": "None", "color": "orange", "textAlign": "center" }}>
                        /!\ Pensez à enregistrer les modifications
                    </div>}

                    <div className="div_row" style={{ "border": "None", "color": "orange", "textAlign": "center" }}>

                        {String(materiel_data_changed) === "1" && String(materiel_data_edit_mode) === "1" && <div className="div_row_gauche" style={{ "textAlign": 'left', 'marginLeft': '15px' }}>

                            <Button variant="contained" className="bton_enreg" onClick={Update_One_Materiel_Data}>Enregistrer les modifications
                            </Button>

                        </div>}

                        {String(materiel_data_edit_mode) === "1" && <div className="div_row_droite" style={{ "textAlign": 'right', 'marginRight': '15px' }} >
                            <Button variant="contained" className="bton_annule" onClick={Annule_Materiel_DetailFields}>Annuler
                            </Button>
                        </div>}
                    </div>


                    {String(materiel_data_edit_mode) !== "1" && <div className="div_row_droite" style={{ "textAlign": 'right', 'marginRight': '15px' }}>

                        <Button variant="contained" className="bton_edit" onClick={Enable_Materiel_DetailFields}>Editer
                        </Button>

                    </div>}
                    <div className="div_row" style={{ "border": "None" }}>
                        &nbsp;
                    </div>

                </div>


            </div>}


            {String(submenu) === "detail_materiel" && String(add_One_Materiel) === "1" && <div className="div_row">
                <nav style={{ "border": "None", "fontSize": "22px", "fontWeight": "600" }}> Ajouter un  nouveau  materiel </nav>
                <div className="session_data" >
                    <div className="session_caract"> Ref. Interne<br />
                        <TextField
                            sx={{ '& legend': { display: 'none' }, '& fieldset': { top: 0 }, }}
                            required
                            name="p_one_detail_ref_interne"
                            id="p_one_detail_ref_interne"

                            InputLabelProps={{
                                shrink: true,
                            }}
                            disabled={false}
                            className="disabled_style"
                            value={p_one_detail_ref_interne}
                            onChange={(e) => {
                                setp_one_detail_ref_interne(e.target.value);
                                setmateriel_data_changed("1");
                            }
                            }

                        />
                    </div>

                    <div className="session_caract"> Nom<br />
                        <TextField
                            sx={{ '& legend': { display: 'none' }, '& fieldset': { top: 0 }, }}
                            required
                            name="p_one_detail_nom"
                            id="p_one_detail_nom"

                            InputLabelProps={{
                                shrink: true,
                            }}
                            disabled={false}
                            className="disabled_style"
                            value={p_one_detail_nom}
                            onChange={(e) => {
                                setp_one_detail_nom(e.target.value);
                                setmateriel_data_changed("1");
                            }
                            }

                        />
                    </div>

                    <div className="session_caract"> Description<br />
                        <TextField
                            sx={{ '& legend': { display: 'none' }, '& fieldset': { top: 0 }, }}
                            required
                            name="p_one_detail_description"
                            id="p_one_detail_description"

                            InputLabelProps={{
                                shrink: true,
                            }}
                            disabled={false}
                            className="disabled_style"
                            value={p_one_detail_description}
                            onChange={(e) => {
                                setp_one_detail_description(e.target.value);
                                setmateriel_data_changed("1");
                            }
                            }

                        />
                    </div>

                    <div className="session_caract"> Detail<br />
                        <TextField
                            sx={{ '& legend': { display: 'none' }, '& fieldset': { top: 0 }, }}
                            required
                            name="p_one_detail_detail"
                            id="p_one_detail_detail"

                            InputLabelProps={{
                                shrink: true,
                            }}
                            disabled={false}
                            className="disabled_style"
                            value={p_one_detail_detail}
                            onChange={(e) => {
                                setp_one_detail_detail(e.target.value);
                                setmateriel_data_changed("1");
                            }
                            }

                        />
                    </div>

                    <div className="session_caract"> Famille<br />
                        <TextField
                            sx={{ '& legend': { display: 'none' }, '& fieldset': { top: 0 }, }}
                            required
                            name="p_one_detail_famille"
                            id="p_one_detail_famille"

                            InputLabelProps={{
                                shrink: true,
                            }}
                            disabled={false}
                            className="disabled_style"
                            value={p_one_detail_famille}
                            onChange={(e) => {
                                setp_one_detail_famille(e.target.value);
                                setmateriel_data_changed("1");
                            }
                            }

                        />
                    </div>

                    <div className="session_caract"> Marque<br />
                        <TextField
                            sx={{ '& legend': { display: 'none' }, '& fieldset': { top: 0 }, }}
                            required
                            name="p_one_detail_marque"
                            id="p_one_detail_marque"

                            InputLabelProps={{
                                shrink: true,
                            }}
                            disabled={false}
                            className="disabled_style"
                            value={p_one_detail_marque}
                            onChange={(e) => {
                                setp_one_detail_marque(e.target.value);
                                setmateriel_data_changed("1");
                            }
                            }

                        />
                    </div>


                    <div className="session_caract"> Type<br />
                        <TextField
                            sx={{ '& legend': { display: 'none' }, '& fieldset': { top: 0 }, }}
                            required
                            name="p_one_detail_type"
                            id="p_one_detail_type"

                            InputLabelProps={{
                                shrink: true,
                            }}
                            disabled={false}
                            className="disabled_style"
                            value={p_one_detail_type}
                            onChange={(e) => {
                                setp_one_detail_type(e.target.value);
                                setmateriel_data_changed("1");
                            }
                            }

                        />
                    </div>

                    <div className="session_caract"> Prix d'achat (estimé)<br />
                        <TextField
                            sx={{ '& legend': { display: 'none' }, '& fieldset': { top: 0 }, }}
                            required
                            name="p_one_detail_prix_achat"
                            id="p_one_detail_prix_achat"

                            InputLabelProps={{
                                shrink: true,
                            }}
                            disabled={false}
                            className="disabled_style"
                            value={p_one_detail_prix_achat}
                            onChange={(e) => {
                                setp_one_detail_prix_achat(e.target.value);
                                setmateriel_data_changed("1");
                            }
                            }

                        />
                    </div>

                    <div className="session_caract"> Fournisseur<br />
                        <TextField
                            sx={{ '& legend': { display: 'none' }, '& fieldset': { top: 0 }, }}
                            required
                            name="p_one_detail_fournisseur"
                            id="p_one_detail_fournisseur"

                            InputLabelProps={{
                                shrink: true,
                            }}
                            disabled={false}
                            className="disabled_style"
                            value={p_one_detail_fournisseur}
                            onChange={(e) => {
                                setp_one_detail_fournisseur(e.target.value);
                                setmateriel_data_changed("1");
                            }
                            }

                        />
                    </div>

                    <div className="session_caract"> Qté en stock<br />
                        <TextField
                            sx={{ '& legend': { display: 'none' }, '& fieldset': { top: 0 }, }}
                            required
                            name="p_one_detail_qty_stock"
                            id="p_one_detail_qty_stock"

                            InputLabelProps={{
                                shrink: true,
                            }}
                            disabled={false}
                            className="disabled_style"
                            value={p_one_detail_qty_stock}
                            onChange={(e) => {
                                setp_one_detail_qty_stock(e.target.value);
                                setmateriel_data_changed("1");
                            }
                            }

                        />
                    </div>

                    <div className="div_row" style={{ "border": "None" }}>
                        &nbsp;
                    </div>

                    <div className="div_row" style={{ "border": "None", "color": "orange", "textAlign": "center" }}>

                        {<div className="div_row_gauche" style={{ "textAlign": 'left', 'marginLeft': '15px' }}>

                            <Button variant="contained" className="bton_enreg" onClick={Add_One_Materiel_Data}>Enregistrer
                            </Button>

                        </div>}

                        {<div className="div_row_droite" style={{ "textAlign": 'right', 'marginRight': '15px' }} >
                            <Button variant="contained" className="bton_annule" onClick={Annule_add_one_materiel}>Annuler
                            </Button>
                        </div>}
                    </div>

                    <div className="div_row" style={{ "border": "None" }}>
                        &nbsp;
                    </div>
                </div>

            </div>}




            {String(submenu) === "affectation" && <div className="div_row">

                <h3> Affectation d'un materiel </h3>

            </div>}




        </div >
    );
}

export default Materiels;
